io.undertow.server.handlers.proxy.mod_cluster

## Interface ModClusterProxyTarget

All Superinterfaces:
  ProxyClient.MaxRetriesProxyTarget, ProxyClient.ProxyTarget

All Known Implementing Classes:
  ModClusterProxyTarget.BasicTarget, ModClusterProxyTarget.ExistingSessionTarget

    public interface ModClusterProxyTarget
    extends ProxyClient.ProxyTarget, ProxyClient.MaxRetriesProxyTarget

Author:
  Emanuel Muckenhuber, Radoslav Husar

### Nested Class Summary

Nested Classes
`static class` `ModClusterProxyTarget.BasicTarget`
`static class` `ModClusterProxyTarget.ExistingSessionTarget`

### Method Summary

All Methods Instance Methods Abstract Methods
`io.undertow.server.handlers.proxy.mod_cluster.Context` `resolveContext(HttpServerExchange exchange)` Resolve the responsible context handling this request.

### Methods inherited from interface io.undertow.server.handlers.proxy.ProxyClient.MaxRetriesProxyTarget

`getMaxRetries`

### Method Detail

#### resolveContext

    io.undertow.server.handlers.proxy.mod_cluster.Context resolveContext(HttpServerExchange exchange)

Resolve the responsible context handling this request.

Parameters:
  `exchange` - the http server exchange
Returns:
  the context